import { defineConfig } from 'astro/config'
import preact from '@astrojs/preact'

import node from '@astrojs/node'

// https://astro.build/config
export default defineConfig({
    output: 'hybrid',
    outDir: './out/astro',
    build: {
        client: './out/astro/client',
        server: './out/astro/server',
    },
    server: {
        port: 3000,
    },
    integrations: [preact()],
    adapter: node({
        mode: 'standalone',
    }),
})
